package ocamlbuild

  1. Overview
  2. No Docs
OCamlbuild is a build system with builtin rules to easily build most OCaml projects

Install

Dune Dependency

Authors

Maintainers

Sources

0.14.2.tar.gz
md5=2f407fadd57b073155a6aead887d9676
sha512=f568bf10431a1f701e8bd7554dc662400a0d978411038bbad93d44dceab02874490a8a5886a9b44e017347e7949997f13f5c3752f74e1eb5e273d2beb19a75fd

Description

Published: 01 Jun 2023

Dependencies (1)

  1. ocaml >= "4.03" & < "5.2"

Dev Dependencies

None

  1. 0install >= "2.12.1" & < "2.14"
  2. ANSITerminal < "0.8"
  3. abella < "2.0.8"
  4. abt
  5. afl-persistent < "1.1"
  6. ago < "0.4"
  7. aifad < "2.1.0"
  8. alba < "0.4.1"
  9. alberto
  10. alcotest < "0.4.6" | >= "0.4.8" & < "0.8.0"
  11. aliases
  12. angstrom < "0.6.0"
  13. ansi-parse < "0.4.0"
  14. anycache < "0.7.4"
  15. aperf
  16. apron < "20150820" | >= "20160108"
  17. arakoon
  18. archimedes
  19. archsat
  20. argon2 < "1.0.0"
  21. argot
  22. arp < "1.0.0"
  23. ascii85 < "0.4"
  24. asetmap
  25. asl < "0.11"
  26. asli < "0.2.0"
  27. asn1-combinators < "0.2.2"
  28. assertions
  29. astring
  30. async < "v0.9.0"
  31. async-zmq < "0.1.0"
  32. async_core
  33. async_extended < "v0.9.0"
  34. async_extra < "v0.9.0"
  35. async_find < "v0.9.0"
  36. async_graphics < "0.7.0"
  37. async_inotify < "v0.9.0"
  38. async_kernel < "v0.9.0"
  39. async_parallel < "v0.9.0"
  40. async_rpc_kernel < "v0.9.0"
  41. async_shell < "v0.9.0"
  42. async_smtp < "v0.9.0"
  43. async_ssl < "v0.9.0"
  44. async_unix < "v0.9.0"
  45. atd2cconv
  46. avroc
  47. aws < "1.0.0"
  48. BetterErrors
  49. b0
  50. baardskeerder
  51. bamboo
  52. bap < "1.0.0"
  53. bap-build
  54. base58
  55. base64 < "2.2.0"
  56. batsh < "0.0.5"
  57. batteries < "3.7.1"
  58. bau
  59. bddapron
  60. bear
  61. beluga >= "0.8" & < "1.0"
  62. bench
  63. benchmark < "1.5"
  64. bencode < "2.0"
  65. bes
  66. bignum < "v0.9.0"
  67. bigstring < "0.2"
  68. bin_prot < "v0.9.0"
  69. bindlib >= "4.0.4" & < "6.0.0"
  70. biocaml < "0.3.0"
  71. bisect
  72. bisect_ppx < "1.3.3"
  73. bisect_ppx-ocamlbuild >= "1.0.1"
  74. bitcoin < "3.0"
  75. bitmasks < "1.1.0"
  76. bolt
  77. bookaml
  78. boomerang
  79. bos
  80. bpf
  81. bracetax
  82. brotli < "2.0.3"
  83. brozip
  84. brr
  85. bson
  86. bt
  87. Camldiets
  88. c3 < "0.4.0"
  89. cairo < "1.2.0"
  90. cairo2 < "0.6"
  91. callipyge < "0.2"
  92. camldm
  93. camlhighlight
  94. camllib
  95. camlp4 >= "4.02+1" & != "4.02+system" & != "4.03+system" & != "4.04+system" & != "4.05+system" & != "4.06+system" & != "4.07+system" & != "4.08+system" & != "4.09+system" & != "4.10+system" & != "4.11+system" & != "4.12+system" & != "4.13+system"
  96. camltc < "0.9.8"
  97. caper
  98. captureio
  99. caradoc
  100. caravan
  101. cbor < "0.3"
  102. cconv < "0.5"
  103. ccss
  104. certify = "0.2"
  105. cfg < "2.1.0"
  106. cgroups
  107. channel
  108. charrua-client < "0.9"
  109. charrua-core < "0.3" | >= "0.5" & < "0.8"
  110. charrua-unix < "0.3"
  111. choice < "0.4"
  112. cil
  113. clangml < "4.0.0"
  114. cmark
  115. cmarkit
  116. cmdliner < "1.0.3"
  117. cmdtui < "0.4.3"
  118. coccinelle < "1.0.7"
  119. coclobas
  120. cohttp < "0.20.0" | = "0.20.2" | >= "0.21.1" & < "0.99.0"
  121. combine < "0.42"
  122. commonjs_of_ocaml
  123. comparelib
  124. conduit < "1.0.0"
  125. conex < "0.10.0"
  126. containers < "2.0"
  127. cookie-js
  128. coq < "8.5.0~camlp4"
  129. coq-serapi < "8.9.0+0.6.0"
  130. coqide < "8.5.0"
  131. core < "v0.9.0"
  132. core_bench < "v0.9.0"
  133. core_extended < "v0.9.0"
  134. core_kernel < "v0.9.0"
  135. core_profiler < "v0.9.0"
  136. corecount
  137. cow < "2.3.0"
  138. cowabloga < "0.3.0"
  139. cppo >= "0.9.4" & < "1.6.0"
  140. cppo_ocamlbuild
  141. cpuid < "0.1.2"
  142. crc < "2.0.0"
  143. crdt-ml
  144. crunch < "2.1.0"
  145. crypt < "1.3"
  146. cryptodbm < "0.84.2"
  147. cryptokit < "1.16.1"
  148. cstruct < "1.8.0" | >= "2.0.0" & < "3.0.0"
  149. csv < "2.0"
  150. csvprovider >= "1.2"
  151. ctypes < "0.2.3"
  152. ctypes-build
  153. cudf < "0.10"
  154. custom_printf
  155. DAGaml
  156. DrawGrammar < "0.2.1"
  157. d3 < "0.2.2"
  158. datakit < "0.10.0"
  159. datakit-bridge-github < "0.10.0"
  160. datakit-bridge-local-git < "0.10.0"
  161. datakit-client < "0.10.0"
  162. datakit-github < "0.10.0"
  163. datakit-server < "0.10.0"
  164. datalog < "0.6"
  165. debian-formats < "0.1.2"
  166. decompress < "0.8"
  167. dedukti < "2.7"
  168. depyt < "0.2.0"
  169. deriving >= "0.6.2" & < "0.7.1"
  170. deriving-yojson
  171. devkit < "1.0"
  172. dht < "0.2.0"
  173. digestif < "0.6.1"
  174. dispatch < "0.4.0"
  175. distributed = "0.4.0"
  176. diy
  177. dlist < "0.0.3"
  178. dns < "0.17.0" | >= "0.19.1" & < "1.0.0"
  179. dns-forward < "0.9.0"
  180. dnscurve
  181. doc-ock < "1.1.0"
  182. doc-ock-html < "1.1.0"
  183. doc-ock-xml < "1.1.0"
  184. docker-api < "0.2"
  185. dockerfile < "1.2.0" | >= "1.3.0" & < "3.0.0"
  186. dog
  187. dolmen < "0.4"
  188. dolog < "4.0.0"
  189. domain-name < "0.1.2"
  190. dose
  191. dose3 < "6.1"
  192. down
  193. dropbox < "0.2"
  194. dtoa < "0.3.0"
  195. duration < "0.1.2"
  196. dyntype
  197. earley < "2.0.0"
  198. earley-ocaml >= "1.0.1"
  199. edn < "0.1.2-1-g09b142a"
  200. efl
  201. eigen < "0.1.0"
  202. elasticsearch-cli < "0.5"
  203. electrumAnalyzer < "0.3.5-2"
  204. elf2json
  205. eliom >= "4.0.0" & < "5.0.0"
  206. email_message < "v0.9.0"
  207. emoji
  208. enumerate
  209. enumerators
  210. erm_xml
  211. erm_xmpp
  212. estring
  213. exenum < "0.82.0"
  214. expect
  215. extunix < "0.3.1"
  216. ezirmin
  217. ezjsonm < "0.5.0"
  218. ezsqlite < "0.4"
  219. ezxmlm < "1.0.2"
  220. facebook-sdk
  221. faillib
  222. faraday < "0.3.0"
  223. farfadet
  224. fat-filesystem < "0.12.1"
  225. fd-send-recv < "1.0.5"
  226. fieldslib < "v0.9.0"
  227. fileutils < "0.6.1"
  228. fix < "20181206"
  229. flock
  230. flow_parser < "0.229.1"
  231. flowtype >= "0.13.1"
  232. fmt
  233. forkwork
  234. fpath
  235. frag
  236. frenetic >= "1.0.1" & < "5.0.0"
  237. froc
  238. fstar
  239. fstreams
  240. functoria >= "2.0.0" & < "2.1.0"
  241. functoria-runtime < "2.1.0"
  242. fury-puyo
  243. future
  244. General < "0.4.0"
  245. GuaCaml
  246. gadelac
  247. gamepad
  248. gammu < "0.9.4"
  249. gapi-ocaml < "0.3.6"
  250. gdal < "0.10.0"
  251. gdb
  252. gedcom
  253. gen < "0.5.1"
  254. gen-bs
  255. genspio < "0.0.1"
  256. genspir < "1.0.0"
  257. geoip
  258. getopt < "20230213"
  259. gg
  260. git < "1.7.2"
  261. github != "1.1.0" & < "3.0.0"
  262. github-hooks >= "0.1.1" & < "0.2.0"
  263. gmap < "0.2.1"
  264. gnuplot != "0.5.1" & < "0.5.3"
  265. goblint < "1.1.1"
  266. goblint-cil < "1.8.0"
  267. google-drive-ocamlfuse < "0.6.23"
  268. gperftools < "0.4"
  269. gpr < "1.3.0"
  270. grain_wasm_spec
  271. graphql_ppx < "0.7.1"
  272. grib
  273. gsasl
  274. gsl < "1.20.0"
  275. gtk-light
  276. hamt
  277. hardcaml < "v0.12.0"
  278. hardcaml-affirm
  279. hardcaml-bloop
  280. hardcaml-examples < "0.3.0"
  281. hardcaml-llvmsim
  282. hardcaml-reedsolomon < "0.3.0"
  283. hardcaml-vpi
  284. hardcaml-waveterm
  285. hardcaml-yosys
  286. hdf
  287. hdf5 < "0.1.1"
  288. hdfs
  289. heptagon
  290. herdtools7 < "7.54"
  291. herelib
  292. hevea
  293. hex < "1.1.0"
  294. higher >= "0.3.0"
  295. hiredis < "0.8"
  296. hkdf < "1.0.3"
  297. hlarp
  298. hmap
  299. htmlit
  300. http2https
  301. humane-re
  302. hvsock < "1.0.0"
  303. ISO8601 < "0.2.6"
  304. i2c
  305. i3ipc < "0.1.4"
  306. ibx
  307. imagelib < "20200929"
  308. imap
  309. imaplet-lwt
  310. incremental < "v0.9.0"
  311. incremental_kernel < "v0.9.0"
  312. indexmap
  313. inferno < "20190924"
  314. inotify < "2.4"
  315. integers < "0.3.0"
  316. integration1d < "0.5"
  317. inuit < "0.4.1"
  318. io
  319. io-page < "2.0.0"
  320. io-page-unix < "2.0.0"
  321. io-page-xen < "2.0.0"
  322. iocaml
  323. iocaml-kernel
  324. ipaddr < "2.8.0"
  325. ipv6-multicast < "0.9"
  326. irc-client >= "0.1.2" & < "0.3.1" | >= "0.4.0" & < "0.6.0"
  327. irmin < "0.11.0" | >= "0.12.0" & < "1.2.0"
  328. irmin-chunk < "1.3.0"
  329. irmin-git < "1.2.0"
  330. irmin-http < "1.2.0"
  331. irmin-indexeddb < "2.0"
  332. irmin-mirage < "1.2.0"
  333. irmin-unix >= "1.0.0" & < "1.2.0"
  334. irmin-watcher < "0.3.0"
  335. irrlicht
  336. iso-filesystem
  337. itv-tree < "2.2"
  338. jane-street-tests
  339. jasmin < "2023.06.0"
  340. javascriptcore
  341. jekyll-format < "0.2.0"
  342. jemalloc < "0.2"
  343. jenga < "v0.9.0"
  344. jhupllib < "0.2.2"
  345. joolog
  346. js-build-tools
  347. js-lz4
  348. js_of_ocaml >= "2.0" & < "3.0"
  349. js_of_ocaml-ocamlbuild
  350. json-pointer
  351. json-predicate
  352. json-rpc
  353. jsonm
  354. jsoo_broadcastchannel < "2.0.0"
  355. jsoo_router
  356. jsoo_storage < "1.0.1"
  357. junit < "1.0"
  358. jupyter < "2.0.0"
  359. KaSim >= "4.0.0"
  360. kafka < "0.3"
  361. kaputt
  362. karamel
  363. ketrew >= "3.2.0"
  364. key-parsers < "0.2.0"
  365. kinetic-client < "0.0.11"
  366. krb5
  367. kremlin < "transition"
  368. lablqml < "0.6"
  369. lablqt
  370. lacaml < "10.0.1"
  371. lacc
  372. lambda-term < "1.11"
  373. lambdapi < "2.0.0"
  374. lambdasoup < "0.6.2"
  375. lambdoc
  376. launchd < "1.3"
  377. lazy-trie < "1.2.0"
  378. lbfgs < "0.9"
  379. lem
  380. lens < "1.2.1"
  381. libra-tk
  382. libres3
  383. libssh
  384. libsvm < "0.9.4"
  385. libudev
  386. libvhd
  387. lilis
  388. linkage
  389. linksem
  390. lipsum
  391. litiom
  392. llvm < "3.9"
  393. llvmgraph
  394. logs
  395. logs-syslog < "0.2.0"
  396. lpd < "1.2.2"
  397. lru < "0.3.0"
  398. lua-ml < "0.9.3"
  399. lustre-v6 < "6.103.3"
  400. lutils >= "1.44" & < "1.51.2"
  401. lutin < "2.71.10"
  402. lwt < "3.1.0"
  403. lwt-binio
  404. lwt-parallel < "1.0.0"
  405. lwt-zmq
  406. lwt_glib = "1.0.1"
  407. lwt_ssl = "1.0.1"
  408. lymp
  409. lz4 < "1.2.0"
  410. lzo
  411. macaque < "0.7.4"
  412. macaque_lwt
  413. macaroons
  414. magic-mime < "1.0.1"
  415. maildir
  416. maki
  417. mariadb
  418. markup < "0.7.6"
  419. mascot
  420. maxminddb < "0.4"
  421. mbr-format < "1.0.0"
  422. mechaml < "1.1.0"
  423. melt
  424. memcpy
  425. menhir >= "20160303" & < "20200123"
  426. merge-queues
  427. merge-ropes
  428. mergeable-vector
  429. merlin < "2.0.0"
  430. mesh < "0.8.9"
  431. message-switch < "1.4.0"
  432. mezzo
  433. milter < "1.0.4"
  434. mindstorm < "0.8"
  435. minima-theme
  436. minisat < "0.2"
  437. mirage < "2.7.0" | >= "3.0.0" & < "3.1.0"
  438. mirage-block < "1.1.0"
  439. mirage-block-ccm < "1.1.0"
  440. mirage-block-lwt < "1.1.0"
  441. mirage-block-ramdisk < "0.4"
  442. mirage-block-solo5 >= "0.2.1" & < "0.6.0"
  443. mirage-block-unix < "2.8.2"
  444. mirage-block-xen < "1.4.0"
  445. mirage-bootvar-solo5 >= "0.2.0" & < "0.6.0"
  446. mirage-bootvar-xen < "0.3.1" | = "0.4.0"
  447. mirage-btrees
  448. mirage-channel < "3.1.0"
  449. mirage-channel-lwt < "3.1.0"
  450. mirage-clock < "1.3.0"
  451. mirage-clock-freestanding < "1.3.0"
  452. mirage-clock-lwt < "1.3.0"
  453. mirage-clock-unix < "1.3.0"
  454. mirage-clock-xen
  455. mirage-console < "2.3.2"
  456. mirage-console-lwt < "2.3.2"
  457. mirage-console-solo5 >= "0.2.0" & < "0.6.0"
  458. mirage-console-unix >= "2.2.0" & < "2.3.2"
  459. mirage-console-xen = "2.2.0"
  460. mirage-console-xen-backend < "2.3.2"
  461. mirage-console-xen-proto < "2.3.2"
  462. mirage-device < "1.1.0"
  463. mirage-entropy < "0.5.1"
  464. mirage-entropy-xen >= "0.3.0"
  465. mirage-flow < "1.3.0"
  466. mirage-flow-lwt < "1.3.0"
  467. mirage-flow-unix < "1.3.0"
  468. mirage-fs < "1.1.1"
  469. mirage-fs-lwt < "1.1.1"
  470. mirage-fs-unix != "1.2.1" & < "1.4.0"
  471. mirage-http < "3.2.0"
  472. mirage-http-unix
  473. mirage-http-xen
  474. mirage-kv < "1.1.1"
  475. mirage-kv-lwt < "1.1.0"
  476. mirage-logs < "1.0.0"
  477. mirage-net < "1.1.1"
  478. mirage-net-direct
  479. mirage-net-fd < "0.2.1"
  480. mirage-net-lwt < "1.1.0"
  481. mirage-net-macosx < "1.2.0"
  482. mirage-net-socket
  483. mirage-net-solo5 >= "0.2.0" & < "0.4.3"
  484. mirage-net-unix < "2.4.1"
  485. mirage-net-xen != "1.5.0" & < "1.7.1"
  486. mirage-os-shim
  487. mirage-profile < "0.8.0"
  488. mirage-protocols < "1.2.0"
  489. mirage-protocols-lwt < "1.2.0"
  490. mirage-qubes < "0.5"
  491. mirage-random < "1.1.0"
  492. mirage-runtime < "3.0.5"
  493. mirage-seal
  494. mirage-solo5 < "0.6.2"
  495. mirage-stack < "1.1.0"
  496. mirage-stack-lwt < "1.1.0"
  497. mirage-tc
  498. mirage-tcpip-unix
  499. mirage-tcpip-xen
  500. mirage-time < "1.1.0"
  501. mirage-time-lwt < "1.1.0"
  502. mirage-types != "1.0.0" & < "3.0.5"
  503. mirage-types-lwt = "3.0.0"
  504. mirage-unix < "3.2.0"
  505. mirage-vnetif < "0.4.0"
  506. mirage-xen < "3.2.0"
  507. mirage-xen-ocaml < "3.3.0"
  508. mirage-xen-posix < "3.0.4"
  509. mirror
  510. mkaudio < "1.1.0"
  511. mlbdd < "0.6"
  512. mlcuddidl
  513. mlpost < "0.9"
  514. modelica_ml
  515. monadlib
  516. mongo
  517. monomorphic < "1.3"
  518. morbig < "0.10.3"
  519. mosquitto
  520. mparser < "1.3"
  521. mpp < "0.3.4"
  522. mpris < "0.2.0"
  523. mqtt
  524. mqtt_client
  525. msat < "0.8"
  526. msgpack
  527. msgpck < "1.3"
  528. mstruct < "1.3.3"
  529. mtime
  530. murmur3 < "0.3"
  531. mustache < "3.0.2"
  532. mybuild
  533. mysql_protocol < "3.0.1"
  534. named-pipe
  535. namespaces
  536. nanomsg
  537. nbd >= "1.0.1" & < "2.0.1"
  538. nebula
  539. netlink = "0.2.1"
  540. netml
  541. nlopt-ocaml < "transition"
  542. nlp
  543. noCanren < "0.3.0~alpha1"
  544. nocrypto
  545. nosetup
  546. note
  547. notty >= "0.2.0" & < "0.2.3"
  548. npy < "0.0.5"
  549. nunchaku < "0.5.1"
  550. oasis
  551. oasis2debian
  552. oasis2opam
  553. obandit
  554. obeanstalk
  555. obelisk < "0.5.0"
  556. objsize >= "0.17"
  557. obus < "1.2.0"
  558. obytelib
  559. ocaml-arg
  560. ocaml-buddy
  561. ocaml-data-notation
  562. ocaml-lua < "1.8"
  563. ocaml-markdown < "transition"
  564. ocaml-migrate-parsetree-ocamlbuild
  565. ocaml-monadic < "0.4.0"
  566. ocaml-protoc < "2.0.1"
  567. ocaml-protoc-yojson
  568. ocaml-sat-solvers
  569. ocaml-systemd < "1.3"
  570. ocaml-xdg-basedir < "transition"
  571. ocaml_plugin < "v0.10.0"
  572. ocamlbuild-atdgen
  573. ocamlbuild-pkg
  574. ocamlbuild-protoc
  575. ocamlclean
  576. ocamldap >= "2.2" & < "transition"
  577. ocamlfuse = "2.7.1-cvs2"
  578. ocamlify
  579. ocamllint >= "0.3.0"
  580. ocamlmod
  581. ocamlnet >= "3.7.5"
  582. ocamlpp
  583. ocapic >= "3.3"
  584. ocb-stubblr
  585. ocephes != "0.8"
  586. oci
  587. oclaunch < "0.3.0-pre1"
  588. ocp-indent != "0.6.0" & < "0.6.2"
  589. ocp-index-top
  590. ocplib-endian < "1.1"
  591. ocsfml
  592. octavius < "1.1.0"
  593. odate < "0.6"
  594. odds < "1.1"
  595. odepack < "0.6.9"
  596. odig
  597. odisco
  598. odoc < "1.1.0"
  599. ojquery
  600. ojwidgets
  601. olinq < "0.3"
  602. olmi
  603. oloop
  604. omd < "1.3.2"
  605. oml < "0.0.5" | >= "0.0.7"
  606. omod
  607. omonad
  608. oolc
  609. opa-base
  610. opal < "0.1.1"
  611. opam-build-revdeps
  612. opam-doc
  613. opam-lib < "1.3.0"
  614. opam-query
  615. opam-sync-github-prs
  616. opam2web < "1.3.0"
  617. opass < "1.0.0"
  618. opasswd < "1.0.1"
  619. openflow
  620. operf-macro
  621. opium < "0.14.0"
  622. oplay
  623. optcomp
  624. optimization1d < "0.6"
  625. ordma < "0.0.5"
  626. orm >= "0.7.1"
  627. orocksdb
  628. osc = "0.1.4"
  629. osdp < "1.1.1"
  630. osm_xml
  631. ospec
  632. ostap
  633. osx-acl
  634. osx-attr
  635. osx-membership
  636. osx-mount
  637. osx-plutil
  638. osx-xattr
  639. otags
  640. otfm
  641. otr < "0.3.6"
  642. ott >= "0.32"
  643. ounit < "2.1.2"
  644. owl < "0.3.0"
  645. ox >= "1.0.1"
  646. pa_bench
  647. pa_bin_prot
  648. pa_comprehension
  649. pa_do
  650. pa_fields_conv
  651. pa_ounit
  652. pa_qualified < "0.6"
  653. pa_sexp_conv
  654. pa_solution != "0.6"
  655. pa_structural_sexp
  656. pa_test
  657. pa_typerep_conv
  658. pa_variants_conv
  659. pa_where
  660. packet
  661. papi < "0.1.1"
  662. parany < "5.0.0"
  663. pareto
  664. parmap >= "1.0-rc1" & < "1.1.1"
  665. parse-argv < "0.1.0"
  666. patdiff < "v0.9.0"
  667. patience_diff < "v0.9.0"
  668. pbkdf < "0.3.0"
  669. pcap-format < "0.5.1"
  670. pcf-format
  671. pci
  672. pci-db
  673. pcre >= "7.0.2" & < "7.3.0"
  674. pds-reachability < "0.2.3"
  675. perf
  676. pgocaml >= "1.7" & < "4.0"
  677. pgsolver
  678. pipebang
  679. piqi < "0.7.0"
  680. piqilib < "0.6.9"
  681. pkcs11 < "0.18.0"
  682. pla < "1.2"
  683. plist >= "1.0.0"
  684. plplot < "5.11.0-1"
  685. podge < "0.7.0"
  686. polyglot
  687. pomap < "4.0.0"
  688. posix-clock
  689. posix-getopt < "2.0.0"
  690. posix-math
  691. posix-mqueue
  692. posix-semaphore
  693. posix-time
  694. posix-types < "2.0.0"
  695. postgresql < "4.1.0"
  696. pprint < "20200226"
  697. ppx_assert < "v0.9.0"
  698. ppx_bench < "v0.9.0"
  699. ppx_bigarray < "3.0.0"
  700. ppx_bin_prot < "v0.9.0"
  701. ppx_bitstring < "2.0.0"
  702. ppx_compare < "v0.9.0"
  703. ppx_const < "2.0"
  704. ppx_conv_func < "v0.9.0"
  705. ppx_core < "v0.9.0"
  706. ppx_csv_conv < "v0.9.0"
  707. ppx_custom_printf < "v0.9.0"
  708. ppx_debugger
  709. ppx_defer < "0.3.0"
  710. ppx_deriving < "4.3"
  711. ppx_deriving_argparse
  712. ppx_deriving_crowbar
  713. ppx_deriving_morphism < "0.2"
  714. ppx_deriving_protobuf < "2.7"
  715. ppx_deriving_yojson != "3.0" & < "3.3"
  716. ppx_distr_guards < "0.2"
  717. ppx_driver < "v0.10.0"
  718. ppx_enumerate < "v0.9.0"
  719. ppx_expect < "v0.9.0"
  720. ppx_fail < "v0.9.0"
  721. ppx_fields_conv < "v0.9.0"
  722. ppx_fun
  723. ppx_getenv < "1.2"
  724. ppx_hardcaml < "1.3.0"
  725. ppx_here < "v0.9.0"
  726. ppx_import < "1.5-3-gbd627d5"
  727. ppx_include < "1.1"
  728. ppx_inline_test < "v0.9.0"
  729. ppx_jane < "v0.9.0"
  730. ppx_jsobject_conv < "0.5.0"
  731. ppx_let < "v0.9.0"
  732. ppx_measure
  733. ppx_monoid < "0.3.2"
  734. ppx_optcomp < "v0.9.0"
  735. ppx_pipebang < "v0.9.0"
  736. ppx_relit < "0.2.0"
  737. ppx_sexp_conv < "v0.9.0"
  738. ppx_sexp_message < "v0.9.0"
  739. ppx_sexp_value < "v0.9.0"
  740. ppx_type_conv < "v0.9.0"
  741. ppx_typerep_conv < "v0.9.0"
  742. ppx_variants_conv < "v0.9.0"
  743. ppx_xml_conv < "v0.9.0"
  744. printbox < "0.2"
  745. process
  746. procord
  747. profound
  748. proj4
  749. promela
  750. protocol-9p < "0.10.0"
  751. proverif < "2.01"
  752. psq < "0.1.1"
  753. ptime
  754. pure-splitmix < "0.3"
  755. py < "1.1"
  756. qbf < "0.3"
  757. qcheck < "0.8"
  758. qcow-format < "0.2"
  759. qcstm
  760. qfs
  761. qocamlbrowser
  762. qrc
  763. qrencode < "0.2"
  764. qtest < "2.9"
  765. quickcheck
  766. radare2 < "0.0.3"
  767. randomconv < "0.1.1"
  768. ranger
  769. rawlink < "1.0"
  770. raygun4ocaml
  771. rdbg != "1.65" & < "1.196.12"
  772. rdr
  773. re < "1.7.2"
  774. re2 < "v0.9.0"
  775. react
  776. reactiveData < "0.2"
  777. receive-mail
  778. records < "0.7.0"
  779. redis < "0.3.4"
  780. reedsolomon < "0.3"
  781. regstab
  782. release
  783. res < "5.0.0"
  784. resource-pooling < "1.1"
  785. rfc6287 < "1.0.4"
  786. rfsm < "1.6-alpha-3"
  787. riak
  788. riak-pb
  789. river < "0.1.3"
  790. rlp
  791. rml < "1.09.06"
  792. root1d < "0.5"
  793. rope < "0.6"
  794. rotor
  795. rpc >= "1.5.0" & < "1.9.51"
  796. rpc_parallel < "v0.9.0"
  797. rresult
  798. rtime
  799. Snowflake
  800. safa
  801. safepass < "3.0"
  802. sail < "0.15"
  803. salsa20 < "1.0.0"
  804. salsa20-core < "1.0.0"
  805. sattools
  806. scid
  807. scrypt-kdf < "1.0.0"
  808. secp256k1 < "0.2.5"
  809. semver < "0.2.1"
  810. sendmsg
  811. seq < "0.2"
  812. sequence < "1.0"
  813. sequoia
  814. session < "0.4.0"
  815. sessions
  816. setr
  817. sexplib < "v0.9.0"
  818. sgf < "1.0.1"
  819. shared-block-ring < "2.3.0"
  820. shared-memory-ring < "1.2.0"
  821. shcaml >= "0.2.0"
  822. should
  823. sibylfs-lem
  824. sid
  825. sill != "1.3"
  826. simple-bmc
  827. simple-diff
  828. simple_pam
  829. skkserv-lite
  830. slacko < "0.13.0"
  831. slap < "2.0.2"
  832. smart-print < "0.3.0"
  833. smtp
  834. snappy < "0.1.2"
  835. sociaml-facebook-api
  836. sociaml-oauth-client
  837. sociaml-tumblr-api
  838. sociaml-vcard
  839. socketcan
  840. sodium >= "0.2.0"
  841. solvuu-build
  842. solvuu_build
  843. sonet
  844. sosa
  845. spatial_index
  846. spelll < "0.3"
  847. spf < "2.0.2"
  848. sphinxcontrib-ocaml < "0.3.0"
  849. spotify-cli
  850. spotify-web-api < "0.2.1"
  851. spreadsheet
  852. sqlexpr < "0.9.0"
  853. sqlgg < "20200521"
  854. sqlite3 < "4.2.0"
  855. sqlite3EZ
  856. srs < "2.0.0"
  857. starterkit
  858. statmemprof-emacs
  859. statverif
  860. stdint < "0.5.1"
  861. stemming
  862. stringext < "1.5.0"
  863. sturgeon < "0.4.2"
  864. swdogen
  865. symkat
  866. syndic != "1.5" & < "1.6.0"
  867. syslog-message = "0.0.2"
  868. systemverilog < "0.0.2"
  869. TCSLib
  870. tallgeese
  871. tar-format < "0.4.2" | >= "0.7.1"
  872. tcpip < "2.7.0" | >= "3.0.0" & < "3.2.0"
  873. tdk
  874. tensorflow < "0.0.10"
  875. terminal_size < "0.1.4"
  876. testsimple
  877. text
  878. textutils < "v0.9.0"
  879. textwrap < "0.2.1"
  880. tftp
  881. tgls
  882. themoviedb
  883. thrift < "0.10.0"
  884. tip-parser < "0.4"
  885. tls < "0.11.0"
  886. tlstunnel
  887. toml < "5.0.0"
  888. topkg
  889. topkg-care
  890. toplevel_expect_test < "v0.9.1"
  891. topology
  892. touist < "3.5.0"
  893. tplib
  894. tptp
  895. trakeva < "0.1.0"
  896. travis-opam < "1.2.0"
  897. travis-senv
  898. tree_layout < "0.2"
  899. tsdl
  900. tsdl-image < "0.1.1"
  901. ttweetnacl
  902. tuntap < "1.5.0"
  903. type-beat
  904. type_conv
  905. typehashlib
  906. typerep < "v0.9.0"
  907. typerep_extended < "v0.9.0"
  908. tyre < "0.4"
  909. tyxml >= "3.0.0" & < "4.3.0"
  910. uchar
  911. ucorelib
  912. udunits
  913. uint < "2.0.1"
  914. ulex
  915. ulex-camlp5
  916. unix-dirent
  917. unix-errno < "0.6.0"
  918. unix-fcntl
  919. unix-sys-resource
  920. unix-sys-stat
  921. unix-time
  922. unix-type-representations
  923. unix-unistd
  924. uri < "1.9.4"
  925. usb
  926. usbmux >= "1.3.2"
  927. user-setup
  928. utop < "2.0.0"
  929. uucd
  930. uucp
  931. uuidm
  932. uunf
  933. uuseg
  934. uutf
  935. variantslib < "v0.9.0"
  936. vchan < "2.1.0"
  937. vector3 < "1.0.0"
  938. vg
  939. vhd-format < "0.9.1"
  940. vhd-tool >= "0.7.1" & < "0.12.0"
  941. vhdlib
  942. visitors < "20200207"
  943. vmnet < "1.2.0"
  944. volt
  945. vpnkit < "0.1.1"
  946. wamp < "1.2"
  947. wasm
  948. webbrowser
  949. weberizer < "0.7.8"
  950. webidl
  951. webmachine < "0.3.0" | = "0.4.0"
  952. websocket < "2.3"
  953. webtest < "2.0.0"
  954. win-error < "0.3"
  955. win-eventlog < "0.2"
  956. wiringpi
  957. x509 < "0.6.3"
  958. xapi-backtrace < "0.5"
  959. xapi-idl
  960. xapi-inventory < "1.2.1"
  961. xe
  962. xe-unikernel-upload
  963. xen-api-client < "0.9.14"
  964. xen-block-driver
  965. xen-disk >= "1.2.1"
  966. xen-evtchn < "2.0.0"
  967. xen-gnt < "3.0.0"
  968. xenbigarray
  969. xenctrl
  970. xenstore < "1.3.0"
  971. xenstore_transport < "0.9.6"
  972. xentropyd
  973. xmlm
  974. xxhash
  975. yajl
  976. yajl-extra
  977. yices2_bindings
  978. yurt < "0.6"
  979. zbar
  980. zed < "1.5"
  981. zephyrus
  982. zero < "109.28.00"
  983. zipc
  984. zlib < "0.6"
  985. zlist < "0.4.0"
  986. zmq < "5.0.0"
  987. zstd < "0.3"
  988. zxcvbn < "2.3+2"

Conflicts (2)

  1. ocamlfind < "1.6.2"
  2. base-ocamlbuild